gtk3-nocsd(1)

NAME
gtk3-nocsd - transparently disable Gtk+3 client side decorations (CSD)

SYNOPSIS
gtk3-nocsd command [ command arguments ... ]

symlinked-command
    [ command arguments ... ]

DESCRIPTION
gtk3-nocsd runs a command in the environment where Gtk+3 client side decorations (CSD) are disabled, by using LD_PRELOAD to load the library libgtk3-nocsd.so.0 that overrides some GLib, GDK and Gtk API calls with customized variants.

OPTIONS

command
    The command to execute. It may be either a full path or the name of the command in PATH. In case command cannot be found in PATH, gtk3-nocsd will fail.

command arguments
    Arbitrary number of arguments to pass to the command being executed.

USAGE VIA SYMLINKS
If a symlink to gtk3-nocsd under a different name is called, gtk3-nocsd will assume that the name it was called under is the name of the command that is supposed to be executed. It will look for the command in the PATH environment variable, excluding itself, and execute it with the proper environment variables set. This is useful when is not desirable to add gtk3-nocsd to the system-wide LD_PRELOAD or if it should be applied only to certain applications.

CAVEATS

When using gtk3-nocsd with setarch (including alias such as linux32), or anyway with chroots with different architectures than the host's, make sure to install the matching architecture version of libgtk3-nocsd.so.0 both in the setarch environment and the host's environment. Note that the gtk3-nocsd binary must then be installed in a system path (/usr/bin, /usr/local/bin, ...), so that it will set LD_PRELOAD to just the library name and let the dynamic linker find it automatically - allowing the dynamic linker to pick the version for the correct architecture. If gtk3-nocsd is not installed in a system path, it will use a full path, allowing only for a single version of the library to be used.